org.apache.jmeter.report.dashboard

## Class ExportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.report.dashboard.ExportException

- All Implemented Interfaces:
    java.io.Serializable

      public class ExportException
      extends java.lang.Exception

  The class ExportException provides an exception when data export fails.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExportException()` Instantiates a new export exception.
    `ExportException(java.lang.String message)` Instantiates a new export exception.
    `ExportException(java.lang.String message, java.lang.Throwable cause)` Instantiates a new export exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExportException

          public ExportException()

      Instantiates a new export exception.

    - #### ExportException

          public ExportException(java.lang.String message)

      Instantiates a new export exception.
      Parameters:
        `message` - the message

    - #### ExportException

          public ExportException(java.lang.String message,
                                 java.lang.Throwable cause)

      Instantiates a new export exception.
      Parameters:
        `message` - the message
        `cause` - the inner cause

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.